# coding: utf-8

_tag_names = [
('DT', '确定词(这,那,该,每)'),
('CD', '概数词(好些,半,许多)'),
('VD', '序列词(第十)'),
('JJ', '介词(Adjective)'),
('JJR', 'Adjective, comparative'),
('JJS', 'Adjective, superlative'),
('''NN''', u'名词'),
('''NNP''', u'专用名词的单数形式'),
('''NNPS''', u'专用名词的复数形式'),
('''PDT''', u'前置限定词'),
('''POS''', u'所有格结束符'),
('''PRP''', u'人称代词'),
('''PRP$''', u'所有格代词'),
('''RB''', u'副词'),
('''RBR''', u'相对副词'),
('''RBS''', u'最高级副词'),
('''RP''', u'小品词'),
('''SYM''', u'符号（数学符号或特殊符号）|'),
('''TO''', u'To'),
('''UH''', u'叹词'),
('''VA''', u'动词'),
('''VC''', u'动词'),
('''VE''', u'动词'),
('''VV''', u'动词'),
('''VB''', u'动词的基本形式'),
('''VBD''', u'动词的过去式'),
('''VBG''', u'动词的动名词用法'),
('''VBN''', u'动词的过去分词'),
('''WP''', u'Wh-代词'),
('''WP$''', u'所有格wh-代词'),
('''WRB''', u'Wh-副词'),
('''#''', u'井号符'),
('''$''', u'美元符'),
('''.''', u'句号'),
(''',''', u'逗号'),
(''':''', u'分号，分隔符'),
('''(''', u'左括号'),
('''),''', u'右括号'),
('''"''', u'直双引号'),
("'", u'左单引号'),
('''"''', u'左双引号'),
("'", u'右单引号'),
('''"''', u'右双引号')]


_deps_names = [
('abbrev', 'abbreviation modifier，缩写'),
('acomp', 'adjectival complement，形容词的补充；'),
('advcl ', 'adverbial clause modifier，状语从句修饰词'),
('advmod', 'adverbial modifier状语'),
('agent', 'agent，代理，一般有by的时候会出现这个'),
('amod', 'adjectival modifier形容词'),
('appos', 'appositional modifier,同位语'),
('attr', 'attributive，属性'),
('aux', 'auxiliary，助动词，如BE,HAVE SHOULD/COULD等到'),
('auxpass', 'passive auxiliary 被动词'),
('cc', 'coordination，并列关系，一般取第一个词'),
('ccomp', 'clausal complement从句补充'),
('complm', 'complementizer，引导从句的词好重聚中的主要动词'),
('conj ', 'conjunct，连接两个并列的词。'),
('cop', 'copula。系动词（如be,seem,appear等），（命题主词与谓词间的）连系'),
('csubj ', 'clausal subject，从主关系'),
('csubjpass', 'clausal passive subject 主从被动关系'),
('dep', 'dependent依赖关系'),
('det', 'determiner决定词，如冠词等'),
('discourse', 'discourse element'),
('dobj', 'direct object直接宾语'),
('expl', 'expletive，主要是抓取there'),
('Goeswith', 'go with 主要是用来把本该连起来的词分开的情况，如‘with out’：gowith（with，out）'),
('infmod', 'infinitival modifier，动词不定式'),
('iobj', 'indirect object，非直接宾语，也就是所以的间接宾语；'),
('mark', 'marker，主要出现在有“that” or “whether”“because”, “when”,'),
('mwe', 'multi-word expression，多个词的表示，类似词组'),
('neg', 'negation modifier否定词'),
('nn', 'noun compound modifier名词组合形式'),
('npadvmod', 'noun phrase as adverbial modifier名词作状语'),
('nsubj ', 'nominal subject，名词主语'),
('nsubjpass', 'passive nominal subject，被动的名词主语'),
('num', 'numeric modifier，数值修饰'),
('number', 'element of compound number，组合数字'),
('parataxis', 'parataxis，并列关系'),
('partmod', 'participial modifier动词形式的修饰'),
('pcomp', 'prepositional complement，介词补充'),
('pobj ', 'object of a preposition，介词的宾语'),
('poss', 'possession modifier，所有形式，所有格，所属'),
('possessive', 'possessive modifier，这个表示所有者和那个’S的关系'),
('preconj ', 'preconjunct，常常是出现在 “either”, “both”, “neither”的情况下'),
('predet', 'predeterminer，前缀决定，常常是表示所有'),
('prep', 'prepositional modifier  前置词'),
('prepc', 'prepositional clausal modifier '),
('prt', 'phrasal verb particle，动词短语'),
('punct', 'punctuation'),
('purpcl', 'purpose clause modifier，目的从句'),
('quantmod', 'quantifier phrase modifier，数量短语'),
('rcmod', 'relative clause modifier相关关系'),
('ref ', 'referent，指示物，指代'),
('rel ', 'relative'),
('root', 'root，最重要的词，从它开始，根节点'),
('tmod', 'temporal modifier 时间修饰语 '),
('xcomp', 'open clausal complement 可以看成是主谓宾中缺了主语，构成的谓宾关系。'),
('xsubj ', 'controlling subject 掌控者'),
('subj', '中心语为谓词: 主语'),
('nsubj', '中心语为谓词: 名词性主语、nominal subject 、同步，建设'),
('top', '中心语为谓词: 主题、topic 、是，建筑'),
('npsubj', '中心语为谓词: 被动型主语、nominal passive subject，专指由“被”引导的被动句中的主语，一般是谓词语义上的受事 、称作，镍'),
('csubj', '中心语为谓词: 从句主语、clausal subject，中文不存在'),
('xsubj', '中心语为谓词: x主语，一般是一个主语下面含多个从句 、完善，有些'),
('obj', '中心语为谓词或介词: 宾语'),
('dobj', '中心语为谓词或介词: 直接宾语 、颁布，文件'),
('iobj', '中心语为谓词或介词: 间接宾语、indirect object，基本不存在'),
('range', '中心语为谓词或介词: 间接宾语为数量词，又称为与格 、成交，元'),
('pobj', '中心语为谓词或介词: 介词宾语 、根据，要求'),
('lobj', '中心语为谓词或介词: 时间介词 、来，近年'),
('comp', '中心语为谓词: 补语'),
('ccomp', '中心语为谓词: 从句补语，一般由两个动词构成，中心语引导后一个动词所在的从句(IP) 、出现，纳入'),
('xcomp', '中心语为谓词: x从句补语、xclausal complement，不存在   '),
('acomp', '中心语为谓词: 形容词补语、adjectival complement'),
('tcomp', '中心语为谓词: 时间补语、temporal complement 、遇到，以前'),
('lccomp', '中心语为谓词: 位置补语、localizer complement 、占，以上'),
('mod', '中心语为名词: 修饰语、modifier'),
('pass', '中心语为名词: 被动修饰、passive'),
('tmod', '中心语为名词: 时间修饰、temporal modifier'),
('rcmod', '中心语为名词: 关系从句修饰、relative clause modifier 、问题，遇到'),
('numod', '中心语为名词: 数量修饰、numeric modifier 、规定，若干'),
('ornmod', '中心语为名词: 序数修饰、numeric modifier'),
('clf', '中心语为名词: 类别修饰、classifier modifier 、文件，件'),
('nmod', '中心语为名词: 复合名词修饰、noun compound modifier 、浦东，上海'),
('amod', '中心语为名词: 形容词修饰、adjetive modifier 、情况，新'),
('advmod', '中心语为名词: 副词修饰、adverbial modifier 、做到，基本'),
('vmod', '中心语为名词: 动词修饰、verb modifier，participle modifier'),
('prnmod', '中心语为名词: 插入词修饰、parenthetical modifier'),
('neg', '中心语为名词: 不定修饰、negative modifier (遇到，不)'),
('det', '中心语为名词: 限定词修饰、determiner modifier 、活动，这些'),
('possm', '中心语为名词: 所属标记、possessive marker，NP'),
('poss', '中心语为名词: 所属修饰、possessive modifier，NP'),
('dvpm', '中心语为名词: DVP标记、dvp marker，DVP 、简单，的'),
('dvpmod', '中心语为名词: DVP修饰、dvp modifier，DVP 、采取，简单'),
('assm', '中心语为名词: 关联标记、associative marker，DNP 、开发，的'),
('assmod', '中心语为名词: 关联修饰、associative modifier，NP|QP 、教训，特区'),
('prep', '中心语为名词: 介词修饰、prepositional modifier NP|VP|IP、采取，对'),
('clmod', '中心语为名词: 从句修饰、clause modifier 、因为，开始'),
('plmod', '中心语为名词: 介词性地点修饰、prepositional localizer modifier 、在，上'),
('asp', '中心语为名词: 时态标词、aspect marker 、做到，了'),
('partmod', '中心语为名词: 分词修饰、participial modifier 不存在'),
('etc', '中心语为名词: 等关系、etc 、办法，等'),
('conj', '中心语为实词: 联合(conjunct)'),
('cop', '中心语为实词: 系动(copula) 双指助动词？？？？'),
('cc', '中心语为实词: 连接(coordination)，指中心词与连词 、开发，与'),
('attr', '属性关系 、是，工程'),
('cordmod', '并列联合动词、coordinated verb compound 、颁布，实行'),
('mmod', '情态动词、modal verb 、得到，能'),
('ba', '把字关系'),
('tclaus', '时间从句 、以后，积累'),
('cpm', '补语化成分、complementizer，一般指“的”引导的CP 、振兴，的'),
]